Templates (Preview)
Get Template Version (Preview)
Preview. This read projects the current Template data model into the upcoming public contract and may change slightly before general availability.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
template_id*string
Unique identifier of the related template.
Format
uuidversion_id*string
Unique identifier of the related version.
Format
uuidQuery Parameters
include?array<"components">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 9007199254740991, "published": true, "request_approvals": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": { "type": "root", "children": [ { "type": "text", "content": "string", "bold": true, "underline": true, "strikethrough": true, "italic": true } ], "style": { "color": "string", "fontSize": 0, "fontFamily": "string", "alignment": "left" } }, "page": 9007199254740991, "x": 0, "y": 0, "width": 0, "height": 0, "order_index": 9007199254740991, "type": "header", "attributes": {}, "header_media": { "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767" }, "children": [] } ]}Get Template (Preview) GET
Preview. This read projects the current Template data model into the upcoming public contract and may change slightly before general availability.
List Template Versions (Preview) GET
Preview. This read projects the current Template data model into the upcoming public contract and may change slightly before general availability.